GL Audit Numbering Sequence

The GL Audit Numbering feature enables you to set up and run two types of GL audit numbering sequences: permanent and repeatable. When you run a permanent GL audit numbering sequence, the number assigned to a GL impacting transaction can't be changed. You can then still modify the details of the original GL impacting transaction. When you run a repeatable GL audit numbering sequence, you can re-run the numbering sequence on GL impacting transactions as often as required to address gaps in numbering that might occur due to adjustments made to your GL.

Note:

Re-running a repeatable numbering sequence renumbers transactions and may assign a number different from the previously assigned number.

In the UI, you can access this record at Transactions > Management > GL Audit Numbering Sequences > New (Administrator). This page includes fields to set up a GL audit numbering system, including the sequence name, numbering type, available subsidiaries, and the numbering format.

For more information about working with the GL Audit Numbering Sequence record, see Setting Up a GL Audit Numbering Sequence.

The REST API Browser includes information about the field names and field types of the GL audit numbering sequence record and about the HTTP methods, request parameters, and operations available to this record.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for the global account mapping REST record is GLNumberingSequence.

Prerequisites

The GL Audit Numbering feature must be enabled.

Exceptions to the Exposure

Two fields on the GL audit numbering sequence record are defined as internal: backToPeriodClose and isCopyToNextPeriod.

Elements with Different Functionality

The System Notes sublist is always search-only.

Actions

The following actions are available on this record:

  • Submit new

  • Submit

  • Cancel

Usage Notes

It's not possible to delete the record through the DELETE request. It can be only set inactive through PATCH.

Code Samples

The following example shows how to post the GL audit numbering sequence record:

            POST /services/rest/record/v1/glnumberingsequence
{
    "accountingBook": {"id": "1", "refName": "Primary Accounting Book"},
    "excludeZeroTransactions": false,
    "initNum": 1,
    "isInactive": false,
    "minDigits": 1,
    "numberingType": {"id": "REPEATABLE",  "refName": "Repeatable"},
    "orderType": {"id": "TRANDATE", "refName": "Transaction Date"},
    "period": {"id": "579", "refName": "FY 2025"},
    "prefix": "PREF",
    "recurringType": {"id": "NONE", "refName": "No Recurring"},
    "sequenceName": "TestRule",
    "subsidiaries": {"items": [{"id": "1",  "refName": "Parent Company" }]},
    "suffix": "SUF"}
} 

          

The following example shows how to get the GL audit numbering sequence record:

            GET /services/rest/record/v1/glnumberingsequence/
{
    "numberingType " : {"id": "REPEATABLE" }
} 

          

The following example shows how to update the GL audit numbering sequence record:

            PATCH /services/rest/record/v1/glnumberingsequence/<recordID>
{
   "isInactive": true,
   "prefix": "Rename"
} 

          

Related Topics

General Notices